/*
SQLyog Enterprise - MySQL GUI v8.14 
MySQL - 5.0.77 : Database - trueshots
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `screenshots` */

CREATE TABLE `screenshots` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(384) default NULL,
  `comment` blob,
  `width` int(10) default NULL,
  `height` int(10) default NULL,
  `size` int(15) default NULL,
  `ip` varchar(48) default NULL,
  `date` int(11) default NULL,
  `md5` varchar(192) NOT NULL,
  `user_id` int(10) default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `NewIndex1` (`md5`)
) ENGINE=MyISAM AUTO_INCREMENT=42 DEFAULT CHARSET=utf8;


CREATE TABLE `comments` (
  `id` int(11) NOT NULL auto_increment,
  `shot_id` int(11) NOT NULL,
  `text` text,
  `user_id` int(10) default '0',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  KEY `shot_id` (`shot_id`,`date`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
