<?php 
require_once ("inc/config.inc.php"); 
require_once ("inc/func.inc.php"); 
require_once ("inc/mysql.class.php");
require_once ("inc/auth.inc.php");

FilterPost();
$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);


// добавление коммента
if ($_POST)
{
	// проверка капчи и залогинен ои юзер
	if (!SessionGetValue('user') or !POSTGetValue('captcha') or ( SessionGetValue('captcha') != strtolower(POSTGetValue('captcha')) ) or !POSTGetValue('comment') )
		SetMessage(Translate('error.send_comment'));
	else
	{
		// добавить новый коммент в бд
		$res=$db->executeInsert($table_comments,"text,shot_id,user_id","'{$_POST['comment']}', '{$shot_id}', '".SessionGetValue('uid')."'");

		SetMessage(Translate('message.send_comment'));
		//header("location: {$_SERVER['REQUEST_URI']}");
	}
}

// подгрузка комментов для скрина $shot_id
$comments = $db->executeSelect($table_comments,"text,date,username as author","LEFT JOIN ({$table_users}) ON (user_id={$table_users}.id) WHERE shot_id = '".$shot_id."'" );

$db->close();

?>

<div class="comments">
<div class='comments-header'><?php echo Translate('comments'); ?> (<?php echo count($comments); ?>)</div>


	<?php 
	if ( count($comments) == 0)
		echo Translate('comments-empty'); 
	
	$counter = 0;
	foreach($comments as $item): 
	
	$c_user = $item['author'];
	?>				
		
		<div class='comment-container'>
			<div class='comment-caption'><a href="screenshots.php?filter=user&user=<?php echo $c_user;?>"><?php echo $c_user;?></a>&nbsp;&nbsp;&nbsp;<?php echo @date("d.m.Y, H:i", mktime($item['date']));?>&nbsp;&nbsp;&nbsp;#<?php $counter++; echo $counter;?></div>
			<div class='comment-text'><?php echo $item['text'];?></div>
		</div>
	<?php endforeach; ?>		
</div>



<?php if ( SessionGetValue('user') ): ?>
<div class="form">
<form enctype="multipart/form-data" action="" method="POST">

		<?php echo GetMessage(); ?>

		<p>
			<center><textarea name="comment" ROWS=8 cols=66  maxlength="<?php echo $comment_maxlength; ?>"><?php echo POSTGetValue('comment'); ?></textarea></center>
		</p>


			<?php echo Translate('verification'); ?>
			<input name="captcha" type='text' size=5> <img src="captcha.php" border=0 alt='captcha' align=top> <input class='submit' type='submit' value='<?php echo Translate('button.send_comment'); ?>'>


			

	

</form> 
</div>
<?php else: ?>
<br>
<big><?php echo Translate('comments-login-please'); ?></big>
<br>
<?php endif; ?>
