<?php

$mysql_host="localhost";
$mysql_username="root";
$mysql_password="";
$mysql_database="realmd"; // база данных mangos

$table_shots="screenshots"; // таблица со скриншотами
$table_users="account"; // таблица wow аккаунтов
$table_comments="comments"; // таблица с комментариями

$path_original = "original/";
$path_normal = "normal/";
$path_thumbs = "thumbs/";

$script_url = "http://trueshots.harpywar.com/"; // полная ссылка на этот скрипт
$register_url = "http://your_site/register"; // ссылка на регистрацию аккаунта

// upload image max size
$size_limit=(1024 ^ 2) * 2; //2 Mb

define('IMAGE_QUALITY', 65); // качество всех уменьшенных картинок (от 1 до 100)
define('IMAGE_MAX_WIDTH', 1024); // максимальная ширина изменяемой картинки (не миниатюры)
define('IMAGE_MAX_HEIGHT', 768); // максимальная высота изменяемой картинки (не миниатюры)

//comment max length
$comment_maxlength=5000;

define('USER_IP', $_SERVER['REMOTE_ADDR']); // IP посетителя

$locales = array
(
    'en' => "English",
    'ru' => "Русский",
    
);  



$lang_codes = explode(";", $_SERVER["HTTP_ACCEPT_LANGUAGE"]);
#list($lc1, $lc2) = explode(",", $lang_codes[0]);

// выбираем меньшее, то, что состоит из 2 знаков (ru)
#$lc_full = (strlen($lc1) > strlen($lc2)) ? $lc1 : $lc2;

#list($lc_first, $lc_second) = explode("-", $lc_full);
$lc = strtolower(substr($lang_codes[0], 0, 2));


if ($lc != 'ru' and $lc != 'en')
	$lc = 'en';
	
define('CURRENT_LANG', $lc);

#print_r( $lang_codes);


$lang['en'] = array (
	'title' => 'Only True Screenshots!',

	'see_all' => 'see all',
	'screenshot' => 'WoW screenshot',
	'comment' => 'Description',
	'upload' => 'Upload',
	'site_link' => 'HTML code for site or blog',
	'forum_link' => 'Image thumbnail for forums',
	'direct_link' => 'Direct link to this page',
	'upload_error' => 'Error on file upload',
	'notwow_error' => 'You must make screenshot with ket PRINTSCREEN in the game World of Warcraft',
	'maxsize_error' => 'Maximum image size is 2 Mb',
	'badformat_error' => "World of Warcraft screenshots made in JPEG format. You're try to upload '%s'.",
	'filenotfound_error' => 'Please, choose file to upload',
	'notexists_error' => 'Screenshot is not exists',
	'random_screens' => 'Random screenshots',	
	'see_original_size' => 'Open image in original size and quality',	
	'uploaded_by' => 'Uploaded by',
	
	'title.account_registration' => 'Account registration',
	'button_create' => 'Create account',
	'bad_email' => 'Email address is wrong',
	'bad_login_lenght' => 'Login lenght is too short. It should be from 2 to 32 symbols.',	
	'bad_password_lenght' => 'Password lenght is too small. It should be 6 <br> or more symbols (for security reason)',	
	'passwords_mismatch' => 'Passwords are mismatch',
	'user_exists' => 'User "%s" already exists - please, type other login name',	
	'email_exists' => 'Email "%s" already exists - please, type other email',	
	'error.user_not_exists' => 'User not found with this login or email',	
	
	'title.account_login' => 'Log In',
	'button_login' => 'Login',
	'bad_login_or_password' => 'Wrong login or password',	
	'i_forgot_password' => 'I forgot my password',
	
	
	'title.account_profile' => 'Account settings',
	'message.settings_changed' => 'Settings was successfully changed',	
	'button.edit' => 'Edit',
	
	'title.account_recover' => 'Password recover',
	'error.bad_activation_link' => 'Activation link is wrong or expired',	
	'message.new_password' => 'Your new password is <b>%s</b><br>(you can change it after log in)',	
	'message.check_your_mail' => 'Mail was sent. Please, check your inbox',	
	'i_forgot_password' => 'I am forgot my password',
	'button.recover' => 'Send link to change password',	

	'title.all_screenshots' => "All screenshots",		
	'title.user_screenshots' => "Screenshots of user %s",
	'title.favorite_screenshots' => "My favorites screenshots",
	'title.all_screenshots' => "All screenshots",
	'title.empty' => "Empty",
	
	'wrong_captcha' => "Wrong verification code",
	
	'login' => 'Login',
	'login_or_email' => 'Login or Email',
	'password' => 'Password',
	'repeat_password' => 'Repeat password',
	'current_password' => 'Current password',
	'new_password' => 'New password',	
	'repeat_new_password' => 'Repeat new password',	
	'verification' => 'Verification',
	'change_password' => 'Password change (not necessary)',	
	
	'menu.add_screenshot' => 'Add screenshot',
	'menu.login' => 'Log In to site',
	'menu.logout' => 'Log Out',
	'menu.registration' => 'Registration',
	'menu.my_screenshots' => 'My screenshots',
	'menu.favorites' => 'Favorites',
	
	'page_navigator.first' => 'Home',
	'page_navigator.prev' => '<big>&larr;</big> Left',
	'page_navigator.next' => 'Right <big>&rarr;</big>',
	'page_navigator.latest' => 'End',
	
	'comments' => 'comments',
	'error.send_comment' => 'Error! Try again, please',
	'message.send_comment' => 'Your comment was sent',
	'button.send_comment' => 'Write comment',
	'comments-empty' => 'Empty',
	'comments-login-please' => 'Only autorized users can place comments. <a href="login.php">Login</a>, please.',

);

$lang['ru'] = array (
	'title' => 'Только настоящие скриншоты!',

	'see_all' => 'смотреть все',
	'screenshot' => 'WoW скриншот',
	'comment' => 'Описание',
	'upload' => 'Загрузить',
	'site_link' => 'HTML код для сайта или блога',
	'forum_link' => 'Уменьшенный скриншот для форума',
	'direct_link' => 'Прямая ссылка на текущую страницу',
	'upload_error' => 'Ошибка при загрузке файла',
	'notwow_error' => 'Скриншот должен быть сделан клавишей PRINTSCREEN в игре World of Warcraft',
	'maxsize_error' => 'Максимальный размер изображения 2 Мб',
	'badformat_error' => "Скриншоты из World of Warcraft имеют формат JPEG. Вы загружаете '%s'.",
	'filenotfound_error' => 'Выберите файл для загрузки',
	'notexists_error' => 'Такого скриншота не существует',
	'random_screens' => 'Случайные скриншоты',
	'see_original_size' => 'Открыть в исходном размере и качестве',	
	'uploaded_by' => 'Загружено',
	
	'title.account_registration' => 'Регистрация аккаунта',
	'button_create' => 'Создать аккаунт',
	'bad_email' => 'Введите правильный емейл адрес',
	'bad_login_lenght' => 'Логин должен состоять от 2 до 32 символов',	
	'bad_password_lenght' => 'Пароль должен состоять из 6 и более символов <br> (мы заботимся о вашей безопасности)',	
	'passwords_mismatch' => 'Пароли не совпадают',
	'user_exists' => 'Пользователь "%s" уже зарегистрирован - введите другой ник',	
	'email_exists' => 'Email "%s" уже зарегистрирован - введите другой email',	
	'error.user_not_exists' => 'Пользователь с таким емейлом или ником не зарегистрирован',	
	
	'title.account_login' => 'Войти на сайт',
	'button_login' => 'Войти',
	'bad_login_or_password' => 'Неправильное сочетание ника и пароля',	
	'i_forgot_password' => 'Я не помню свой пароль',
	
	'title.account_profile' => 'Настройки аккаунта',
	'message.settings_changed' => 'Настройки успешно изменены',	
	'button.edit' => 'Изменить',
	
	'title.account_recover' => 'Восстановление пароля',
	'error.bad_activation_link' => 'Неправильная или устаревшая активационная ссылка',	
	'message.new_password' => 'Ваш новый пароль <b>%s</b><br>(можете изменить его в своем профиле после входа)',	
	'message.check_your_mail' => 'Вам отправлено письмо. Проверьте свой почтовый ящик.',		
	'button.recover' => 'Выслать ссылку на смену пароля',		
	
	'title.all_screenshots' => "Все скриншоты",
	'title.user_screenshots' => "Скриншоты пользователя %s",
	'title.favorite_screenshots' => "Мои избранные скриншоты",
	'title.all_screenshots' => "Все скриншоты",
	'title.empty' => "Пусто",
	
	'wrong_captcha' => "Неправильный проверочный код",
	
	'login' => 'Ник',
	'login_or_email' => 'Ник или Email',
	'password' => 'Пароль',
	'repeat_password' => 'Повтор пароля',
	'current_password' => 'Текущий пароль',
	'new_password' => 'Новый пароль',	
	'repeat_new_password' => 'Повтор нового пароля',	
	'verification' => 'Проверка',
	'change_password' => 'Смена пароля (необязательно)',	
	
	'menu.add_screenshot' => 'Добавить скриншот',
	'menu.login' => 'Войти на сайт',
	'menu.logout' => 'Выйти',
	'menu.registration' => 'Зарегистрироваться',
	'menu.my_screenshots' => 'Мои скриншоты',
	'menu.favorites' => 'Избранное',

	'page_navigator.first' => 'Начало',
	'page_navigator.prev' => '<big>&larr;</big> Влево',
	'page_navigator.next' => 'Вправо <big>&rarr;</big>',
	'page_navigator.latest' => 'Конец',
	
	'comments' => 'комментарии',
	'error.send_comment' => 'Ошибка! Попробуйте ещё раз',
	'message.send_comment' => 'Ваш комментарий добавлен',
	'button.send_comment' => 'Написать комментарий',
	'comments-empty' => 'Здесь ещё никто ничего не написал',
	'comments-login-please' => 'Только авторизованные пользователи могут оставлять комментарии. <a href="login.php">Авторизуйтесь</a>, пожалуйста.',

	
);



?>