<?php 
// форма логина

require_once ("inc/config.inc.php"); 
require_once ("inc/func.inc.php"); 
require_once ("inc/mysql.class.php");
require_once ("inc/auth.inc.php");

$errors = array();

if ($_POST)
{
	$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	//$db->show_errors = true;
	FilterPost();
	
	// проверка введенных полей
	$res=$db->executeSelect($table_users,"*","WHERE sha_pass_hash='".EncodePassword($_POST['login'], $_POST['password'])."' LIMIT 1" );
	
	// если данные подходят, то залогинить
	if (count($res) > 0)
		LogIn($res[0]['id'], $res[0]['username'], $res[0]['email'], $res[0]['password']);
	else
		$errors[] = $lang[CURRENT_LANG]['bad_login_or_password'];
		
	$db->close();
}

// если залогинен, то перенаправить на главную
if (SessionGetValue('user'))
	header("location: $script_url");
	
	
echo drawHeader($lang[CURRENT_LANG]['title.account_login']);
?>

<h1><?php echo $lang[CURRENT_LANG]['title.account_login']; ?></h1>

<div class="form">
<form enctype="multipart/form-data" action="" method="POST">
		<div class='form_errors'>
			<?php echo DisplayErrors($errors); ?>
		</div>
		<p>
			<label><?php echo $lang[CURRENT_LANG]['login']; ?></label>
			<input name="login" type='text' size=25 value="<?php echo ( isset($_POST['login']) ) ? $_POST['login'] : '' ; ?>">
		</p>
		<p>
			<label><?php echo $lang[CURRENT_LANG]['password']; ?></label>
			<input name="password" type='password' size=25>
		</p>

		<div>
			<input class='submit' type='submit' value='<?php echo $lang[CURRENT_LANG]['button_login']; ?>'>
		</div>
</form> 
</div>

<?php 
echo drawFooter();
 ?>