<?php 
// галерея миниатюр скриншотов

require_once ("inc/config.inc.php"); 
require_once ("inc/func.inc.php"); 
require_once ("inc/mysql.class.php");
require_once ("inc/auth.inc.php");

FilterGet();
$rows_on_page = 30; // сколько картинок на странице
$trim_count = 8; // сколько номеров страниц отображать
$page = ( isset($_GET['page']) and is_numeric($_GET['page']) ) ? $_GET['page'] : 1;
$limit = (($rows_on_page * $page) - $rows_on_page) . ',' . $rows_on_page;

$page_title = $lang[CURRENT_LANG]['title.all_screenshots'];

$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);
//$db->show_errors = true;

$shots = array();
$rows_count = 0;


switch ($_GET['filter'])
{
	// BY USER
	case 'user':
		if ($_GET['user'])
		{
			$u=$db->executeSelect($table_users,"*","WHERE username='".$_GET['user']."' LIMIT 1" );
	
			// если есть юзер в бд
			if (count($u) > 0)
			{
				$page_title = sprintf( $lang[CURRENT_LANG]['title.user_screenshots'], $_GET['user'] );
				
				// выбрать все скрины юзера
				$shots=$db->executeSelect($table_shots,"*","WHERE user_id='".$u[0]['id']."' ORDER BY date DESC LIMIT $limit" );
				$shots_count=$db->executeSelect($table_shots,"count(id)","WHERE user_id='".$u[0]['id']."'");
				$rows_count = $shots_count[0]['count(id)'];
			}
		}
		break;
		
	// BY FAVORITE
	case 'favorite':
		if (SessionGetValue('uid'))
		{
			$page_title = sprintf( $lang[CURRENT_LANG]['title.favorite_screenshots'], $_GET['user'] );
			/*
			
			// выбрать все скрины юзера
			$shots=$db->executeSelect($table_shots,"*","WHERE user_id='".SessionGetValue('uid')."' ORDER BY date DESC LIMIT $limit" );
			$shots_count=$db->executeSelect($table_shots,"count(id)","WHERE user_id='".SessionGetValue('uid')."'");
			$rows_count = $shots_count[0]['count(id)'];
			
			*/
		}
		break;
		
	// ALL
	case 'all':
		// выбрать все скрины из бд
		$shots=$db->executeSelect($table_shots,"*","ORDER BY date DESC LIMIT $limit" );
		$shots_count=$db->executeSelect($table_shots,"count(id)","WHERE 1");
		$rows_count = $shots_count[0]['count(id)'];
		
		break;
	
	// default = all
	default:
		header("location: screenshots.php?filter=all");
}
$db->close();

// общее количество записей



	
$content = '';
foreach ($shots as $key=>$shot)
{
	$img_file = getFileName($shot['name'], $shot['md5']);
	$content .= sprintf("<div class='mini-shot'><a href='img.php?hash=%s'><img src='%s%s' border=0 width=150 height=110 alt='%s' title='%s'></a></div>", $shot['md5'], $path_thumbs, $img_file, $key, $shot['name'] );
}

if (count($shots) == 0)
	$content = $lang[CURRENT_LANG]['title.empty'];


echo drawHeader( $page_title );
?>

<h1><?php echo $page_title; ?></h1>
<div class='screenshots'>
	<div class="screenshots-container">
		<?php 
		echo $content;
		 ?>
	</div>
</div>
<div class='clear'>
<div class='page_navigator'><?php  echo pageNavigator($page, $rows_on_page, $rows_count, $trim_count); ?></div>

<?php 
echo drawFooter();
 ?>